Create a property
curl --request POST \
--url https://api.sendkit.dev/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "company",
"type": "string",
"fallback_value": "N/A"
}
'import requests
url = "https://api.sendkit.dev/properties"
payload = {
"key": "company",
"type": "string",
"fallback_value": "N/A"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: 'company', type: 'string', fallback_value: 'N/A'})
};
fetch('https://api.sendkit.dev/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"key": "company",
"type": "string",
"fallback_value": "N/A",
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}{
"message": "Invalid API key."
}{
"message": "The email field is required."
}Properties
Create a property
Create a new contact property for your team. Properties define custom fields that can be set on contacts.
POST
/
properties
Create a property
Authorizations
API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
Body
application/json
The property key. Must be unique per team.
Maximum string length:
255Example:
"company"
The data type of the property.
Available options:
string, number, date Example:
"string"
Default value used when a contact doesn't have this property set.
Maximum string length:
1000Example:
"N/A"
Response
Property created successfully
Unique identifier.
Example:
"550e8400-e29b-41d4-a716-446655440000"
The property key. Used when setting values on contacts.
Example:
"company"
The data type of the property.
Available options:
string, number, date Example:
"string"
Default value used when a contact doesn't have this property set.
Example:
"N/A"
When the property was created.
Example:
"2026-03-03 10:00:00"
When the property was last updated.
Example:
"2026-03-03 10:00:00"

